SelectionSet Filters v3.3

Discussion in 'AutoCAD' started by Paul Richardson, Jun 8, 2004.

  1. Hi All,

    I am trying to filter out all walls in my drawing. Code runs fine but no
    walls are added.
    Could someone Please tell me what I'm doing wrong. Or could I do it eaiser.

    Thanks for you time.

    Paul
     
    Paul Richardson, Jun 8, 2004
    #1
  2. "Aec_Wall" go figure.
     
    Paul Richardson, Jun 8, 2004
    #2
  3. Paul Richardson

    Matt W Guest

    You beat me to it. :)

    --
    Matt W

    There are 3 kinds of people:
    Those who can count, and those who can't.

    | "Aec_Wall" go figure.
    | | > Sorry. Forgot code.
    | >
    | > Dim gpCode() As Integer
    | > Dim gpData As Variant
    | >
    | > 'On Error Resume Next
    | >
    | >
    | > With ThisDrawing.Utility
    | > ThisDrawing.SelectionSets("0").Delete
    | > Set ssWall = ThisDrawing.SelectionSets.Add(0)
    | > ReDim gpCode(0): ReDim gpData(0)
    | > gpCode(0) = 0: gpData(0) = "AecWall"
    | > ssWall.Select acSelectionSetAll, , , gpCode, gpData
    | > End With
    | > | > > Hi All,
    | > >
    | > > I am trying to filter out all walls in my drawing. Code runs fine but
    no
    | > > walls are added.
    | > > Could someone Please tell me what I'm doing wrong. Or could I do it
    | > eaiser.
    | > >
    | > > Thanks for you time.
    | > >
    | > > Paul
    | > >
    | > >
    | >
    | >
    |
    |
     
    Matt W, Jun 8, 2004
    #3
  4. "Aec_Wall"
     
    Paul Richardson, Jun 8, 2004
    #4
  5. Thanks Matt. I have a bunch of other broken code it you feel bad. ha.
     
    Paul Richardson, Jun 9, 2004
    #5
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.